Subject: Re: bug#79165: Archive Mode (arc-mode.el) not opening .zip files

From: binarydigitz01 <[email-masked]>
Date: Sun, 03 Aug 2025 11:00:54 +0000

I was working on another patch on the master branch of emacs, and while testing i encountered this, but after digging and a quick magit blame I realised this is one of the changes of emacs master branch, I should have tested my changes after building emacs instead of relying on my unstable emacs, my bad!

> > Date: Sun, 03 Aug 2025 09:52:17 +0000
> > From: binarydigitz01 via "Bug reports for GNU Emacs,
> > the Swiss army knife of text editors" [email-masked]
> >
> > I found a bug in arc-mode.el which makes it unable to open zip files, on
> > further analysis i found it was using incf instead of cl-incf. It is now
> > able to open .zip files and works as expected. I have attached a patch that fixes it.
>
>
> Thanks, but where did you get the version of arc-mode,el which uses
> incf? The version included with Emacs 30.1.90 uses cl-incf, not incf.